--- /dev/null
+#! /bin/sh
+
+set -e
+
+win=no
+
+## xscreensaver
+if xscreensaver-command -version >/dev/null 2>&1; then
+ xscreensaver-command -lock
+ win=yes
+fi
+
+## gnome-screensaver
+if gnome-screensaver-command --query >/dev/null 2>&1; then
+ gnome-screensaver-command --lock
+ win=yes
+fi
+
+## Make sure we did something useful.
+case $win in
+ no)
+ echo >&2 "$0: no screensaver found"
+ exit 1
+ ;;
+esac
MouseDown * 5 desk next
Tooltip Go Forward a Desktop
Aclass KEYBINDINGS global
+KeyDown 5 F6 exec gconftool --toggle /desktop/gnome/accessibility/keyboard/mousekeys_enable
KeyDown 5 F7 exec un-backslashify-selection
KeyDown 5 F8 exec xatom set XINIT_COMMAND :terminal
KeyDown 5 F9 exec xatom set XINIT_COMMAND :ask-run
KeyDown 5 F10 exec xatom set XINIT_COMMAND :ask-command
-KeyDown 5 F11 exec gnome-screensaver-command --lock
+KeyDown 5 F11 exec lock-screen
KeyDown 5 F12 exec xshutdown
KeyDown 5 Tab focus next
KeyDown 5 plus desk next
KeyDown C5 Up wop * raise
KeyDown C5 Down wop * lower
KeyDown C5 End exit restart
-KeyDown S5 h wop * tw conservative
-KeyDown S5 m wop * ts conservative
-KeyDown S5 v wop * th conservative
+KeyDown SC5 h wop * tw conservative
+KeyDown SC5 m wop * ts conservative
+KeyDown SC5 v wop * th conservative
KeyDown S5 Up area move 0 -1
KeyDown S5 Down area move 0 1
KeyDown S5 Left area move -1 0
(trap (or mdw-fast-startup (require 'tex-site)))
(trap (or mdw-fast-startup (semantic-load-enable-minimum-features)))
+(setq semanticdb-default-save-directory "~/.emacs.d/semanticdb/")
;; Skeleton stuff.
(mapcar (lambda (hook) (add-hook hook 'mdw-misc-mode-config))
'(c-mode-hook c++-mode-hook objc-mode-hook java-mode-hook
csharp-mode-hook perl-mode-hook cperl-mode-hook
- python-mode-hook icon-mode-hook awk-mode-hook tcl-mode-hook
+ python-mode-hook pyrec-mode-hook icon-mode-hook awk-mode-hook
+ tcl-mode-hook
asm-mode-hook TeX-mode-hook LaTeX-mode-hook
TeXinfo-mode-hook tex-mode-hook latex-mode-hook
texinfo-mode-hook emacs-lisp-mode-hook scheme-mode-hook
(setq-default py-indent-offset 2)
(add-hook 'python-mode-hook 'mdw-fontify-python t)
+(add-hook 'pyrex-mode-hook 'mdw-fontify-pyrex t)
(setq py-python-command-args `("-i" "-colors" ,(if mdw-black-background
"Linux"
"LightBG")))
<match target="pattern">
<test name="family"><string>MiscFixed6x13</string></test>
<!-- edit name="size"><double>12</double></edit -->
+ <edit name="style"><string>SemiCondensed</string></edit>
<edit name="width"><int>87</int></edit>
<edit name="family"><string>Fixed</string></edit>
<edit name="foundry"><string>Misc</string></edit>
unset hold askcc askbcc autoprint save
retain From To Cc Bcc Subject Return-Path Delivered-To Date
# alias clive clive@dgw.co.uk
-alias dad binswood@bigfoot.com
-#alias mum swbinswood@bigfoot.com
-alias mum s.wooding@talktalk.net
+alias dad binswood@googlemail.com
+alias mum swbinswood@googlemail.com
+##alias mum s.wooding@talktalk.net
alias home mdw@distorted.org.uk
alias work mwooding@ncipher.com
alias spam spam@distorted.org.uk
## System monitor.
case $vnc in no) run bginit gkrellm ;; esac
+ ## Screensaver.
+ case $vnc in
+ no)
+ run init xscreensaver-command -exit
+ run bginit xscreensaver -no-splash
+ ;;
+ esac
+
## Panel.
case $vnc in no) run bginit gnome-panel ;; esac
;; Make C indentation nice.
-(eval-after-load "cc-mode"
- '(progn
- (define-key c-mode-map "*" nil)
- (define-key c-mode-map "/" nil)))
-
(defun mdw-c-lineup-arglist (langelem)
"Hack for DWIMmery in c-lineup-arglist."
(if (save-excursion
;;;--------------------------------------------------------------------------
;;; Python programming style.
-;; Define Python fontification style.
-
-(defun mdw-fontify-python ()
+(defun mdw-fontify-pythonic (keywords)
;; Miscellaneous fiddling.
(mdw-standard-fill-prefix "\\([ \t]*#+[ \t]*\\)")
;; Now define fontification things.
(make-local-variable 'font-lock-keywords)
- (let ((python-keywords
- (mdw-regexps "and" "as" "assert" "break" "class" "continue" "def"
- "del" "elif" "else" "except" "exec" "finally" "for"
- "from" "global" "if" "import" "in" "is" "lambda"
- "not" "or" "pass" "print" "raise" "return" "try"
- "while" "with" "yield")))
- (setq font-lock-keywords
- (list
+ (setq font-lock-keywords
+ (list
- ;; Set up the keywords defined above.
- (list (concat "\\<\\(" python-keywords "\\)\\>")
- '(0 font-lock-keyword-face))
+ ;; Set up the keywords defined above.
+ (list (concat "\\<\\(" python-keywords "\\)\\>")
+ '(0 font-lock-keyword-face))
- ;; At least numbers are simpler than C.
- (list (concat "\\<0\\([xX][0-9a-fA-F_]+\\|[0-7_]+\\)\\|"
- "\\<[0-9][0-9_]*\\(\\.[0-9_]*\\|\\)"
- "\\([eE]\\([-+]\\|\\)[0-9_]+\\|[lL]\\|\\)")
- '(0 mdw-number-face))
+ ;; At least numbers are simpler than C.
+ (list (concat "\\<0\\([xX][0-9a-fA-F_]+\\|[0-7_]+\\)\\|"
+ "\\<[0-9][0-9_]*\\(\\.[0-9_]*\\|\\)"
+ "\\([eE]\\([-+]\\|\\)[0-9_]+\\|[lL]\\|\\)")
+ '(0 mdw-number-face))
- ;; And anything else is punctuation.
- (list "\\(\\s.\\|\\s(\\|\\s)\\|\\s\\\\|\\s/\\)"
- '(0 mdw-punct-face))))))
+ ;; And anything else is punctuation.
+ (list "\\(\\s.\\|\\s(\\|\\s)\\|\\s\\\\|\\s/\\)"
+ '(0 mdw-punct-face)))))
+
+;; Define Python fontification styles.
+
+(defun mdw-fontify-python ()
+ (mdw-fontify-pythonic
+ (mdw-regexps "and" "as" "assert" "break" "class" "continue" "def"
+ "del" "elif" "else" "except" "exec" "finally" "for"
+ "from" "global" "if" "import" "in" "is" "lambda"
+ "not" "or" "pass" "print" "raise" "return" "try"
+ "while" "with" "yield")))
+
+(defun mdw-fontify-pyrex ()
+ (mdw-fontify-pythonic
+ (mdw-regexps "and" "as" "assert" "break" "cdef" "class" "continue"
+ "ctypedef" "def" "del" "elif" "else" "except" "exec"
+ "extern" "finally" "for" "from" "global" "if"
+ "import" "in" "is" "lambda" "not" "or" "pass" "print"
+ "raise" "return" "struct" "try" "while" "with"
+ "yield")))
;;;--------------------------------------------------------------------------
;;; Icon programming style.
backgrounds="
jue-peek.jpg
medusa.jpg
+ bsg-supper.jpg
rayne.jpg
hypatia.jpg
noodly.jpg"
[ "$xstuff" ] && scripts="$scripts
xinitcmd
un-backslashify-selection
+ lock-screen
xshutdown"
echo "Installing scripts..."
mkdir -p $HOME$sub/bin